import request from '@/utils/request'

// 查询水阈值信息列表
export function listThreshold(query) {
  return request({
    url: '/ems/threshold/list',
    method: 'get',
    params: query
  })
}

// 查询水阈值信息详细
export function getThreshold(objid) {
  return request({
    url: '/ems/threshold/' + objid,
    method: 'get'
  })
}

// 新增水阈值信息
export function addThreshold(data) {
  return request({
    url: '/ems/threshold',
    method: 'post',
    data: data
  })
}

// 修改水阈值信息
export function updateThreshold(data) {
  return request({
    url: '/ems/threshold',
    method: 'put',
    data: data
  })
}

// 删除水阈值信息
export function delThreshold(objid) {
  return request({
    url: '/ems/threshold/' + objid,
    method: 'delete'
  })
}
